> For the complete documentation index, see [llms.txt](https://docs.soraco.co/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.soraco.co/docs/api-reference/.net-api/iqlmfloatinglicensehelper/enums/qlmactivationstatus.md).

# QlmActivationStatus

| Name                  |                             Description                             |
| --------------------- | :-----------------------------------------------------------------: |
| Undefined             |                   The status has not been set yet                   |
| DbNotFound            |                The floating license DB was not found                |
| DbPathMismatch        | The path of the floating license DB does not match the initial path |
| DbNoLicense           |                         No license was found                        |
| DbValid               |                   The floating license DB is valid                  |
| FailedToActivate      |                    The license activation failed                    |
| InvalidLicense        |                        The license is invalid                       |
| NoMoreLicenses        |                      There are no more licenses                     |
| NotActivated          |                     The license is not activated                    |
| Activated             |                       The license is activated                      |
| AlreadyActivated      |                  The license was already activated                  |
| OfflineLicenseExpired |                   The offline license has expired                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/iqlmfloatinglicensehelper/enums/qlmactivationstatus.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
